Bug 169401 - Can not change a modules default font
Can not change a modules default font
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnomesword (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-27 17:28 EDT by Michael A. Peters
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 08:51:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2005-09-27 17:28:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
When trying to change the default font for a module, it does not use the specified font but continues to use default font.

Version-Release number of selected component (if applicable):
gnomesword-2.1.2-2.3.fc4

How reproducible:
Always

Steps to Reproduce:
1. Right click on text in a module
2. Choose Module Options -> Set Module Font
3. Select a new font
  

Actual Results:  The new font is not used for the module.
However, the ~/.gnomesword-2.0/fonts.conf is correctly updated for the module.

Expected Results:  The font used for that module should change

Additional info:

I *think* this bug only bites in Fedora Core 4 - I do not remember it being an issue in FC3.

Fortunately the default Fedora fonts are good enough for english and greek and hebrew text, but this could be a usage problem for some other languages.
Comment 1 Michael A. Peters 2005-10-28 11:58:57 EDT
Changing font works for Hebrew, it does not seem to work for English or Greek.
Comment 2 Deji Akingunola 2007-01-10 08:51:27 EST
This bug has been fixed in gnomesword-2.2.0 in FC5 and beyond. 

Note You need to log in before you can comment on or make changes to this bug.